# CompleteAction POST https://api-demo.brij.fi/brij.core.v1.customer.Service/CompleteAction Content-Type: application/json Complete a pending attestation action. Reference: https://docs.brij.fi/api/brij-customer-api/brij-core-v-1-customer-service-complete-action ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: customer-api version: 1.0.0 paths: /brij.core.v1.customer.Service/CompleteAction: post: operationId: brij-core-v-1-customer-service-complete-action summary: CompleteAction description: Complete a pending attestation action. tags: - '' parameters: - name: X-API-Key in: header required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/brij.core.v1.customer.CompleteActionResponse requestBody: content: application/json: schema: $ref: '#/components/schemas/brij.core.v1.customer.CompleteActionRequest' servers: - url: https://api-demo.brij.fi - url: https://api.brij.fi components: schemas: brij.core.v1.customer.CompleteActionRequest: type: object properties: attestationId: type: string otpCode: type: string signature: type: string acceptanceCode: type: string title: brij.core.v1.customer.CompleteActionRequest brij.data.v1.AttestationType: type: string enum: - VALIDATED_EMAIL - VALIDATED_PHONE - VALIDATED_ID_DOCUMENT - LIVENESS_CHECK - AML_CHECK - TERMS - VALIDATED_CRYPTO_WALLET description: Attestation types supported by the system title: brij.data.v1.AttestationType brij.data.v1.AttestationStatus: type: string enum: - WAITING_USER_ACTION - IN_PROGRESS - COMPLETED - FAILED - REJECTED - EXPIRED - REVOKED description: Attestation status during lifecycle title: brij.data.v1.AttestationStatus brij.core.v1.CustomerAttestationResult: type: object properties: id: type: string type: $ref: '#/components/schemas/brij.data.v1.AttestationType' status: $ref: '#/components/schemas/brij.data.v1.AttestationStatus' reason: type: string dataIds: type: array items: type: string isShared: type: boolean actionUrl: type: string description: >- URL for user actions (e.g., verification link for WAITING_USER_ACTION status) challengeMessage: type: string description: Challenge message for crypto wallet signatures title: brij.core.v1.CustomerAttestationResult brij.core.v1.customer.CompleteActionResponse: type: object properties: attestation: $ref: '#/components/schemas/brij.core.v1.CustomerAttestationResult' title: brij.core.v1.customer.CompleteActionResponse securitySchemes: IntegratorApiKey: type: apiKey in: header name: X-API-Key CustomerAuthToken: type: http scheme: bearer ``` ## SDK Code Examples ```python import requests url = "https://api-demo.brij.fi/brij.core.v1.customer.Service/CompleteAction" payload = {} headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api-demo.brij.fi/brij.core.v1.customer.Service/CompleteAction'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-demo.brij.fi/brij.core.v1.customer.Service/CompleteAction" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api-demo.brij.fi/brij.core.v1.customer.Service/CompleteAction") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-demo.brij.fi/brij.core.v1.customer.Service/CompleteAction") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api-demo.brij.fi/brij.core.v1.customer.Service/CompleteAction', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api-demo.brij.fi/brij.core.v1.customer.Service/CompleteAction"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-demo.brij.fi/brij.core.v1.customer.Service/CompleteAction")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```